Security Lab

PHP-инклюдинг в VS-News-System

Дата публикации:20.02.2007
Всего просмотров:1713
Опасность:
Высокая
Наличие исправления: Нет
Количество уязвимостей:1
CVE ID: CVE-2007-1017
CVE-2007-1018
Вектор эксплуатации: Удаленная
Воздействие: Компрометация системы
CWE ID: Нет данных
Наличие эксплоита: Нет данных
Уязвимые продукты: VS-News-System 1.x
Уязвимые версии: VS-News-System 1.2.1, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "newsordner" в сценариях show_news_inc.php и tpl/header.php. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP.

URL производителя: www.virtualsystem.de/downloads/…&down_id=1&seite=0

Решение: Способов устранения уязвимости не существует в настоящее время.